Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.ec2.model
Class DescribeAvailabilityZonesRequest

    java.lang.Object
      com.amazonaws.AmazonWebServiceRequest
          com.amazonaws.services.ec2.model.DescribeAvailabilityZonesRequest

    public class DescribeAvailabilityZonesRequest

extends AmazonWebServiceRequest

Container for the parameters to the `DescribeAvailabilityZones operation`.

The DescribeAvailabilityZones operation describes availability zones that are currently available to the account and their states.

Availability zones are not the same across accounts. The availability zone us-east-1a for account A is not necessarily the same as us-east-1a for account B. Zone assignments are mapped independently for each account.

See Also:
  `AmazonEC2.describeAvailabilityZones(DescribeAvailabilityZonesRequest)`

Constructor Summary
`DescribeAvailabilityZonesRequest()`

Method Summary
`List<String>` | `getZoneNames()` A list of the availability zone names to describe.
`void` | `setZoneNames(Collection<String> zoneNames)` A list of the availability zone names to describe.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`DescribeAvailabilityZonesRequest` | `withZoneNames(Collection<String> zoneNames)` A list of the availability zone names to describe.
`DescribeAvailabilityZonesRequest` | `withZoneNames(String... zoneNames)` A list of the availability zone names to describe.

Methods inherited from class com.amazonaws.AmazonWebServiceRequest
`copyPrivateRequestParameters`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DescribeAvailabilityZonesRequest

    public DescribeAvailabilityZonesRequest()

Method Detail

### getZoneNames

    public List<String> getZoneNames()

  A list of the availability zone names to describe.

  Returns:
    A list of the availability zone names to describe.

### setZoneNames

    public void setZoneNames(Collection<String> zoneNames)

  A list of the availability zone names to describe.

  Parameters:
    `zoneNames` - A list of the availability zone names to describe.

### withZoneNames

    public DescribeAvailabilityZonesRequest withZoneNames(String... zoneNames)

  A list of the availability zone names to describe.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `zoneNames` - A list of the availability zone names to describe.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### withZoneNames

    public DescribeAvailabilityZonesRequest withZoneNames(Collection<String> zoneNames)

  A list of the availability zone names to describe.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `zoneNames` - A list of the availability zone names to describe.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.